Rated 3 out of 5 stars

Needs update for v3.5 -- I have changed the max version number in the rdf file my own. It works. Just unpack the .xpi file as any zip file. Open the .rdf file with notepad and change max version number from 3.0.* to 3.5.*
Then save it and afterwards pack the whole stuff to a zip file again and rename the ending to .xpi. Drag & drop this file into your FF window and it will ask to install it.

This review is for a previous version of the add-on (1.0.9).  This user has other reviews of this add-on.